Bug 512191 - unable to use globs to restrict arguements [NEEDINFO]
unable to use globs to restrict arguements
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-16 12:33 EDT by Adam Stokes
Modified: 2010-10-23 06:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:16:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cward: needinfo? (astokes)


Attachments (Terms of Use)
restrict to C locale (288 bytes, patch)
2009-07-16 12:33 EDT, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2009-07-16 12:33:30 EDT
Created attachment 354010 [details]
restrict to C locale

Description of problem:
unable to use globs within sudoer file to restrict arguements

Version-Release number of selected component (if applicable):
1.6.9

How reproducible:
100%

Steps to Reproduce:
1. setup user to restrict to certain program + args
2.
3.
  
Actual results:
testuser ALL= /bin/vi /etc/httpd/conf/*      -> works
testuser ALL= /bin/vi /etc/httpd/conf/[A-z]* -> does not work.


Expected results:
able to use globs to restrict arguements.

Additional info:
Comment 3 Chris Ward 2010-02-11 05:26:51 EST
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.
Comment 6 errata-xmlrpc 2010-03-30 04:16:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0212.html

Note You need to log in before you can comment on or make changes to this bug.